Subject: Re: bug#48524: 13.0.11; AUCTeX should not use LaTeX error message for non-LaTeX modes

From: jfbu <[email-masked]>
Date: Wed, 19 May 2021 23:34:45 +0200

Le 19/05/2021 à 18:16, jfbu a écrit :
> I understand this is some work to extract from pdftex.web the
> errors (perhaps someone in the last 30+ years or so has done so,
> regarding the Knuth original messages, as pdftex adds some of its
> own) and I am opening this bug ticket only for reference as for many

As auctex launches pdftex with -interaction=nonstopmode, the
additional help messages displayed by TeX/LaTeX end up in the log file.

So it is only a matter here to fetch the messages from the log,
rather than using the specific ones incorporated into tex-buf.el

This mechanism is already in place where tex-bug.el does not have
an entry matching the message:

     ERROR: Extra \or.

     --- TeX said ---
     l.37 \iftrue\expandafter\fi\or
                                   
     --- HELP ---
     From the .log file...

     I'm ignoring this; it doesn't match any \if.

So, it should not be complicated.

The problem is to avoid in Plain TeX runs (or ConTeXt ? I am not familiar with it) to have the auctex generated error help go into LaTeX considerations which are not relevant to Plain TeX.

Jean-François